Name: libssh2
Version: 1.9.0
License: BSD-3-Clause 
Release: 4
Summary: Client-side C library implementing the SSH2 protocol
URL: https://www.libssh2.org/
Source0: https://www.libssh2.org/download/libssh2-%{version}.tar.gz

BuildRequires: openssl-devel >= 1.1
BuildRequires: pkg-config
BuildRequires: zlib-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
# For test suite
BuildRequires: openssh-server

%description
Client-side C library implementing the SSH2 protocol

%package -n libssh2-1
Summary: libssh2 library

Conflicts:libssh2
Obsoletes:libssh2

%description -n libssh2-1
libssh2 library

%package devel
Summary: Development headers and libraries for libssh2
Requires: libssh2-1 = %{version}-%{release}

%description devel
This package includes header files and scripts needed for developers
using the libssh2 library

%prep
%setup -q

%build
# to locate sshd for test suite which is packaged under _sbindir
export PATH="%{_sbindir}:$PATH"

# without autoreconf libssh.a is built rather than libssh.so.1
autoreconf -fiv

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared=yes \
  --enable-static=no \
  #end

%make_build

%check
make check

%install
%make_install

%files -n libssh2-1
%defattr(-, qsys, *none)
%license COPYING
%{_libdir}/libssh2.so.1

%files devel
%defattr(-, qsys, *none)
%{_includedir}/libssh2.h
%{_includedir}/libssh2_publickey.h
%{_includedir}/libssh2_sftp.h
%{_libdir}/libssh2.so
%{_libdir}/pkgconfig/libssh2.pc
%{_mandir}/man3/*

%changelog
* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.9.0
- Use brp-rm-libtool-files

* Wed Nov 11 2020 Naveen Ram <naveen.ram@ibm.com> - 1.9.0
- Add Conflicts and Obsolete for libssh2 to libssh2-1

* Fri May 08 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.9.0
- Rename library package to libssh2-1

* Wed May 6 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.9.0
- Initial spec
